Skip to main content
POST
Reprocess a batch

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

apiKey
string | null

Path Parameters

batch_id
string
required

Body

application/json
failed_only
boolean
default:true

When true, only reprocess jobs with 'failed' status. When false, reprocess all jobs in the batch.

incomplete_only
boolean
default:false

When true, only reprocess jobs with 'pending' or 'in_progress' status. When false, reprocess all jobs in the batch (unless failed_only is true).

refresh
boolean
default:false

When true, force fresh enrichment ignoring cached data.

attributes
string[]

List of specific attributes to enrich (e.g. 'websites', 'phoneNumbers').

Response

Successfully initiated batch reprocessing